/*
 *   @(#) $Id: SessionUtil.java 264677 2005-08-30 02:44:35Z trustin $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.util;

import java.net.SocketException;

import org.apache.mina.common.Session;
import org.apache.mina.common.SessionConfig;
import org.apache.mina.io.datagram.DatagramSessionConfig;
import org.apache.mina.io.socket.SocketSessionConfig;

/**
 * Exception utility.
 * 
 * @author The Apache Directory Project (dev@directory.apache.org)
 * @author Trustin Lee (trustin@apache.org)
 * @version $Rev: 264677 $, $Date: 2005-08-30 11:44:35 +0900 $
 */
public class SessionUtil
{
    public static void initialize( Session session ) throws SocketException
    {
        SessionConfig config = session.getConfig();
        if( config instanceof SocketSessionConfig )
        {
            SocketSessionConfig ssc = ( SocketSessionConfig ) config;
            ssc.setReuseAddress( true );
            ssc.setKeepAlive( true );
        }
        else if( config instanceof DatagramSessionConfig )
        {
            DatagramSessionConfig dsc = ( DatagramSessionConfig ) config;
            dsc.setReuseAddress( true );
        }
    }

    private SessionUtil()
    {
    }
}
